pycrypto vulnerabilities

Cryptographic modules for Python.

Direct Vulnerabilities

Known vulnerabilities in the pycrypto package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • H
Information Exposure

[0,)
  • C
Arbitrary Code Execution

(,2.7a1]
  • M
Insecure Randomness

(,2.6)
  • M
Information Exposure

(,2.6.1)

Package versions

1 - 9 of 9 Results
version published direct vulnerabilities
2.6.1 20 Jun, 2014
  • 1
    C
  • 1
    H
  • 0
    M
  • 0
    L
2.6 24 May, 2012
  • 1
    C
  • 1
    H
  • 1
    M
  • 0
    L
2.5 13 Jan, 2012
  • 1
    C
  • 1
    H
  • 2
    M
  • 0
    L
2.4.1 4 Nov, 2011
  • 1
    C
  • 1
    H
  • 2
    M
  • 0
    L
2.4 22 Oct, 2011
  • 1
    C
  • 1
    H
  • 2
    M
  • 0
    L
2.3 17 Dec, 2010
  • 1
    C
  • 1
    H
  • 2
    M
  • 0
    L
2.2 11 Aug, 2013
  • 1
    C
  • 1
    H
  • 2
    M
  • 0
    L
2.1.0 11 Aug, 2013
  • 1
    C
  • 1
    H
  • 2
    M
  • 0
    L
2.0.1 11 Aug, 2013
  • 1
    C
  • 1
    H
  • 2
    M
  • 0
    L